=== debian/changelog ===
lgogdownloader (2.19-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 3.9.6, no change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 21 Oct 2014 20:31:24 +0200

lgogdownloader (2.18-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches, and drop help-without-home.patch (merged upstream).
  * Add pointers to the git repository on Alioth.
  * Make sure CPPFLAGS are taken into account.

 -- Stephen Kitt <skitt@debian.org>  Tue, 23 Sep 2014 17:18:17 +0200

lgogdownloader (2.17-2) unstable; urgency=medium

  * Avoid touching $HOME if --help or --version are specified on the
    command-line. Closes: #761217.

 -- Stephen Kitt <skitt@debian.org>  Thu, 11 Sep 2014 23:17:00 +0200

lgogdownloader (2.17-1) unstable; urgency=low

  * Initial release. Closes: #761130.

 -- Stephen Kitt <skitt@debian.org>  Wed, 10 Sep 2014 23:26:18 +0200
