=== debian/control ===
Source: lgogdownloader
Section: web
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Stephen Kitt <skitt@debian.org>
Build-Depends: debhelper (>=9),
               help2man,
               libboost-date-time-dev,
               libboost-filesystem-dev,
               libboost-program-options-dev,
               libboost-regex-dev,
               libboost-system-dev,
               libhtmlcxx-dev,
               libjsoncpp-dev,
               liboauth-dev,
               librhash-dev,
               libtinyxml-dev
Standards-Version: 3.9.6
Homepage: https://sites.google.com/site/gogdownloader/
Vcs-Git: git://anonscm.debian.org/pkg-games/lgogdownloader.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-games/lgogdownloader.git

Package: lgogdownloader
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: downloader for GOG.com files
 lgogdownloader is a client for the GOG.com download API, allowing
 simple downloads and updates of games and other files from GOG.com.
 .
 This package is only useful if you own games on GOG.com. There are a
 few free-as-in-beer games available for Linux, but the DFSG-free
 games are not provided for Linux on GOG.com and are available in
 Debian anyway (lure-of-the-temptress, beneath-a-steel-sky,
 flight-of-the-amazon-queen).
