=== debian/changelog ===
lgogdownloader (2.21-2) unstable; urgency=medium

  * Upload to unstable.

 -- Stephen Kitt <skitt@debian.org>  Sun, 10 May 2015 21:45:26 +0200

lgogdownloader (2.21-1) experimental; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Fri, 10 Apr 2015 21:24:56 +0200

lgogdownloader (2.20-1) experimental; urgency=medium

  * New upstream release, uploaded to experimental for the Jessie freeze.

 -- Stephen Kitt <skitt@debian.org>  Thu, 11 Dec 2014 00:16:28 +0100
