## lgogdownloader 2.24

=== debian/changelog ===
lgogdownloader (2.24-1build1) wily; urgency=medium

  * No-change rebuild against libjsoncpp0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 04 Aug 2015 00:49:24 +0000

lgogdownloader (2.24-1) unstable; urgency=medium

  * New upstream release.
  * Refresh manpage-whatis.patch.

 -- Stephen Kitt <skitt@debian.org>  Tue, 14 Jul 2015 14:02:39 +0200

lgogdownloader (2.23-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patch.

 -- Stephen Kitt <skitt@debian.org>  Wed, 20 May 2015 07:18:47 +0200
