=== debian/changelog ===
lgogdownloader (2.26-1ubuntu1) xenial; urgency=medium

  * debian/patches/jsoncpp-1.7.1.patch: Grab patch from Debian to fix FTBFS
    with JsonCpp 1.7.1.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 14 Apr 2016 21:21:55 +0000

lgogdownloader (2.26-1build1) xenial; urgency=medium

  * No-change rebuild for the libjsoncpp transition.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 09 Feb 2016 13:12:02 +0100

lgogdownloader (2.26-1) unstable; urgency=medium

  * New upstream release.
  * Drop unattended-login.patch, merged upstream.

 -- Stephen Kitt <skitt@debian.org>  Wed, 14 Oct 2015 18:25:27 +0200

lgogdownloader (2.25-2) unstable; urgency=medium

  * Handle unattended login attempts. Closes: #798740.

 -- Stephen Kitt <skitt@debian.org>  Sun, 13 Sep 2015 19:41:13 +0200

lgogdownloader (2.25-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 07 Sep 2015 22:40:29 +0200
