=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: lgogdownloader
 Section: web
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Stephen Kitt <skitt@debian.org>
 Build-Depends: debhelper (>=9),
                help2man,
