=== debian/watch ===
# watch control file for uscan
version=3

https://github.com/Sude-/lgogdownloader/tags (?:.*/)?v?(\d[\d\.]*)\.(?:tar\.gz|tar\.bz2|tar\.xz)
