=== debian/changelog ===
lgogdownloader (2.28-1) unstable; urgency=medium

  * New upstream release, merging jsoncpp-1.7.1.patch.
  * Standards-Version 3.9.8, no change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 09 May 2016 23:35:51 +0200

lgogdownloader (2.27-2) unstable; urgency=medium

  * Apply upstream patch to build with libjsoncpp 1.7.1 and later. Closes:
    #820064, #820315.

 -- Stephen Kitt <skitt@debian.org>  Fri, 08 Apr 2016 13:46:48 +0200

lgogdownloader (2.27-1) unstable; urgency=medium

  * New upstream release, with a new cmake-based build obsoleting all the
    existing patches apart from manpage-whatis.patch.

 -- Stephen Kitt <skitt@debian.org>  Fri, 18 Mar 2016 12:56:19 +0100

lgogdownloader (2.26-2) unstable; urgency=medium

  * Switch to https: VCS URIs (see #810378).
  * Apply upstream's fix for crashes after login (thanks to Phil Morrell
    for pointing it out!).
  * Standards-Version 3.9.7, no change required.
  * Enable full hardening.

 -- Stephen Kitt <skitt@debian.org>  Wed, 24 Feb 2016 20:23:37 +0100
