=== debian/control ===
Source: lgogdownloader
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Stephen Kitt <skitt@debian.org>
Section: web
Priority: optional
Build-Depends: cmake,
               debhelper (>= 9),
               help2man,
               libboost-date-time-dev,
               libboost-filesystem-dev,
               libboost-program-options-dev,
               libboost-regex-dev,
               libboost-system-dev,
               libhtmlcxx-dev,
               libjsoncpp-dev (>= 1.7.1),
               liboauth-dev,
               librhash-dev,
               libtinyxml-dev,
               pkg-config
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/lgogdownloader.git
Vcs-Git: https://anonscm.debian.org/git/pkg-games/lgogdownloader.git
Homepage: https://sites.google.com/site/gogdownloader/

Package: lgogdownloader
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libjsoncpp1 (>= 1.7.1)
Description: downloader for GOG.com files
 lgogdownloader is a client for the GOG.com download API, allowing
 simple downloads and updates of games and other files from GOG.com.
 .
 This package is only useful if you own games on GOG.com. There are a
 few free-as-in-beer games available for Linux, but the DFSG-free
 games are not provided for Linux on GOG.com and are available in
 Debian anyway (lure-of-the-temptress, beneath-a-steel-sky,
 flight-of-the-amazon-queen).
