## lgogdownloader 3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,12 @@
 cmake_minimum_required(VERSION 3.0.0 FATAL_ERROR)
-project (lgogdownloader LANGUAGES CXX VERSION 2.28)
+project (lgogdownloader LANGUAGES C CXX VERSION 3.0)
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/")
 set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -DDEBUG=1")
+set(LINK_LIBCRYPTO 0)
 
+find_program(READELF readelf DOC "Location of the readelf program")
+find_program(GREP grep DOC "Location of the grep program")
 find_package(Boost
   REQUIRED
   system
@@ -13,11 +16,25 @@
   date_time
   )
 find_package(CURL 7.32.0 REQUIRED)
+if(CURL_FOUND)
+  execute_process(
+    COMMAND ${READELF} -d ${CURL_LIBRARIES}
+    COMMAND ${GREP} -q "libssl\\|libcrypto"
+    RESULT_VARIABLE READELF_RESULT_VAR
+  )
+  if(READELF_RESULT_VAR EQUAL 0)
+    add_definitions(-DSSL_THREAD_SETUP_OPENSSL=1)
+    find_package(Libcrypto REQUIRED)
+    set(LINK_LIBCRYPTO 1)
+  endif(READELF_RESULT_VAR EQUAL 0)
+endif(CURL_FOUND)
+
 find_package(OAuth REQUIRED)
 find_package(Jsoncpp REQUIRED)
 find_package(Htmlcxx REQUIRED)
-find_package(Tinyxml REQUIRED)
+find_package(Tinyxml2 REQUIRED)
 find_package(Rhash REQUIRED)
+find_package(Threads REQUIRED)
 
 file(GLOB SRC_FILES
   main.cpp
@@ -83,7 +100,7 @@
   PRIVATE ${OAuth_INCLUDE_DIRS}
   PRIVATE ${Jsoncpp_INCLUDE_DIRS}
   PRIVATE ${Htmlcxx_INCLUDE_DIRS}
-  PRIVATE ${Tinyxml_INCLUDE_DIRS}
+  PRIVATE ${Tinyxml2_INCLUDE_DIRS}
   PRIVATE ${Rhash_INCLUDE_DIRS}
   )
 
@@ -93,9 +110,16 @@
   PRIVATE ${OAuth_LIBRARIES}
   PRIVATE ${Jsoncpp_LIBRARIES}
   PRIVATE ${Htmlcxx_LIBRARIES}
-  PRIVATE ${Tinyxml_LIBRARIES}
+  PRIVATE ${Tinyxml2_LIBRARIES}
   PRIVATE ${Rhash_LIBRARIES}
+  PRIVATE ${CMAKE_THREAD_LIBS_INIT}
   )
+
+if(LINK_LIBCRYPTO EQUAL 1)
+  target_link_libraries(${PROJECT_NAME}
+    PRIVATE ${Libcrypto_LIBRARIES}
+  )
+endif(LINK_LIBCRYPTO EQUAL 1)
 
 if(MSVC)
   # Force to always compile with W4
@@ -106,7 +130,7 @@
   endif()
 elseif(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
   # Update if necessary
-  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wall -Wno-long-long -fexceptions")
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wall -Wextra -Wno-long-long -fexceptions")
 endif()
 
 set(INSTALL_BIN_DIR bin CACHE PATH "Installation directory for executables")
