=== debian/changelog ===
lgogdownloader (3.0-1~bpo8+1) jessie-backports; urgency=medium

  * Backport to Debian 8.

 -- Stephen Kitt <skitt@debian.org>  Wed, 30 Nov 2016 22:30:17 +0100

lgogdownloader (3.0-1) unstable; urgency=medium

  * New upstream release.
  * Now that libjsoncpp-dev is fixed, drop the explicit dependency on
    libjsoncpp1.
  * Switch to debhelper compatibility level 10.
  * Clarify the description regarding DFSG-free games on GOG.com.

 -- Stephen Kitt <skitt@debian.org>  Thu, 24 Nov 2016 22:06:40 +0100
