=== debian/changelog ===
lgogdownloader (3.1-2) unstable; urgency=medium

  [ Simon McVittie ]
  * Team upload
  * Backport patch from 3.2 fixing the ability to list games if a game
    has {'updates': null} (Closes: #857691)

 -- Stephen Kitt <skitt@debian.org>  Wed, 05 Apr 2017 19:27:13 +0200

lgogdownloader (3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 16 Jan 2017 19:35:28 +0100
