=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: web
 Priority: optional
 Build-Depends: cmake,
-               debhelper (>= 9),
+               debhelper (>= 10),
                help2man,
                libboost-date-time-dev,
                libboost-filesystem-dev,
@@ -15,7 +15,8 @@
                libjsoncpp-dev (>= 1.7.1),
                liboauth-dev,
                librhash-dev,
-               libtinyxml-dev,
+               libssl-dev,
+               libtinyxml2-dev,
                pkg-config
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/lgogdownloader.git
@@ -26,14 +27,13 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         libjsoncpp1 (>= 1.7.1)
+         ${shlibs:Depends}
 Description: downloader for GOG.com files
  lgogdownloader is a client for the GOG.com download API, allowing
  simple downloads and updates of games and other files from GOG.com.
  .
  This package is only useful if you own games on GOG.com. There are a
  few free-as-in-beer games available for Linux, but the DFSG-free
- games are not provided for Linux on GOG.com and are available in
- Debian anyway (lure-of-the-temptress, beneath-a-steel-sky,
- flight-of-the-amazon-queen).
+ games available on GOG.com are not provided for Linux and are
+ available in Debian anyway (lure-of-the-temptress,
+ beneath-a-steel-sky, flight-of-the-amazon-queen).
