=== debian/changelog ===
lgogdownloader (3.2-1build1) artful; urgency=medium

  * No-change rebuild against latest tinyxml2

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 14 Jul 2017 14:18:49 -0400

lgogdownloader (3.2-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file.

 -- Stephen Kitt <skitt@debian.org>  Mon, 19 Jun 2017 08:56:54 +0200
