=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
                help2man,
                libboost-date-time-dev,
                libboost-filesystem-dev,
+               libboost-iostreams-dev,
                libboost-program-options-dev,
                libboost-regex-dev,
                libboost-system-dev,
