=== debian/changelog ===
lgogdownloader (3.3-2build2) cosmic; urgency=medium

  * Rebuild against new libtinyxml2-6a.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 08 Aug 2018 12:00:34 +0200

lgogdownloader (3.3-2build1) cosmic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 12:57:45 +0000

lgogdownloader (3.3-2) unstable; urgency=medium

  * Migrate to Salsa.
  * Standards-Version 4.1.4, no further change required.
  * Switch to debhelper compatibility level 11.

 -- Stephen Kitt <skitt@debian.org>  Sun, 06 May 2018 14:22:19 +0200

lgogdownloader (3.3-1) unstable; urgency=medium

  * New upstream release.
  * Clean up whitespace in debian/rules.
  * Update debian/copyright.
  * Standards-Version 4.1.1, no further change required.
  * Enable building without fakeroot.

 -- Stephen Kitt <skitt@debian.org>  Tue, 07 Nov 2017 23:05:20 +0100
