=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: web
 Priority: optional
 Build-Depends: cmake,
-               debhelper (>= 10),
+               debhelper (>= 11~),
                help2man,
                libboost-date-time-dev,
                libboost-filesystem-dev,
@@ -19,9 +19,10 @@
                libssl-dev,
                libtinyxml2-dev,
                pkg-config
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/lgogdownloader.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/lgogdownloader.git
+Standards-Version: 4.1.4
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/games-team/lgogdownloader
+Vcs-Git: https://salsa.debian.org/games-team/lgogdownloader.git
 Homepage: https://sites.google.com/site/gogdownloader/
 
 Package: lgogdownloader
