## lgogdownloader 3.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.0.0 FATAL_ERROR)
-project (lgogdownloader LANGUAGES C CXX VERSION 3.3)
+project (lgogdownloader LANGUAGES C CXX VERSION 3.4)
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/")
 set(LINK_LIBCRYPTO 0)
@@ -35,6 +35,7 @@
 find_package(Tinyxml2 REQUIRED)
 find_package(Rhash REQUIRED)
 find_package(Threads REQUIRED)
+find_package(ZLIB REQUIRED)
 
 file(GLOB SRC_FILES
   main.cpp
@@ -47,6 +48,7 @@
   src/gamefile.cpp
   src/gamedetails.cpp
   src/galaxyapi.cpp
+  src/ziputil.cpp
   )
 
 set(GIT_CHECKOUT FALSE)
@@ -88,8 +90,9 @@
 
 set(VERSION_NUMBER ${PROJECT_VERSION})
 set(VERSION_STRING "LGOGDownloader ${VERSION_NUMBER}")
+set(DEFAULT_USER_AGENT "LGOGDownloader/${VERSION_NUMBER} (${CMAKE_SYSTEM_NAME} ${CMAKE_SYSTEM_PROCESSOR})")
 
-add_definitions(-D_FILE_OFFSET_BITS=64 -DVERSION_NUMBER="${VERSION_NUMBER}" -DVERSION_STRING="${VERSION_STRING}")
+add_definitions(-D_FILE_OFFSET_BITS=64 -DVERSION_NUMBER="${VERSION_NUMBER}" -DVERSION_STRING="${VERSION_STRING}" -DDEFAULT_USER_AGENT="${DEFAULT_USER_AGENT}")
 
 add_executable (${PROJECT_NAME} ${SRC_FILES})
 
@@ -103,6 +106,7 @@
   PRIVATE ${Htmlcxx_INCLUDE_DIRS}
   PRIVATE ${Tinyxml2_INCLUDE_DIRS}
   PRIVATE ${Rhash_INCLUDE_DIRS}
+  PRIVATE ${ZLIB_INCLUDE_DIRS}
   )
 
 target_link_libraries(${PROJECT_NAME}
@@ -114,6 +118,7 @@
   PRIVATE ${Tinyxml2_LIBRARIES}
   PRIVATE ${Rhash_LIBRARIES}
   PRIVATE ${CMAKE_THREAD_LIBS_INIT}
+  PRIVATE ${ZLIB_LIBRARIES}
   )
 
 if(LINK_LIBCRYPTO EQUAL 1)
