=== man/CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,8 @@
 find_program(GZIP gzip DOC "Location of the gzip program")
 mark_as_advanced(HELP2MAN)
 mark_as_advanced(GZIP)
+
+include(GNUInstallDirs)
 
 if(HELP2MAN AND GZIP)	
   set(H2M_FILE ${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}.supplemental.groff)
@@ -16,7 +18,7 @@
 	VERBATIM
 	)
   add_custom_target(manpage ALL DEPENDS ${MAN_FILE} ${PROJECT_NAME})
-  install(FILES ${MAN_FILE} DESTINATION ${INSTALL_SHARE_DIR}/man/man1)
+  install(FILES ${MAN_FILE} DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
 else(HELP2MAN AND GZIP)
   message("WARNING: One of the following is missing: help2man, gzip; man page will not be generated")
 endif(HELP2MAN AND GZIP)
