=== debian/changelog ===
lgogdownloader (3.4-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Stephen Kitt <skitt@debian.org>  Fri, 02 Nov 2018 17:35:49 +0100

lgogdownloader (3.4-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.2.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 18 Sep 2018 13:18:32 +0200
