=== debian/control ===
--- 
+++ 
@@ -18,8 +18,9 @@
                librhash-dev,
                libssl-dev,
                libtinyxml2-dev,
-               pkg-config
-Standards-Version: 4.1.4
+               pkg-config,
+               zlib1g-dev
+Standards-Version: 4.2.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/games-team/lgogdownloader
 Vcs-Git: https://salsa.debian.org/games-team/lgogdownloader.git
