=== debian/changelog ===
lgogdownloader (3.5-2build4) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Mar 2020 08:51:49 +0100

lgogdownloader (3.5-2build3) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2020 21:21:29 +0100

lgogdownloader (3.5-2build2) focal; urgency=medium

  * No-change rebuild against libboost-regex1.71.0-icu65

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Feb 2020 19:01:38 +0000

lgogdownloader (3.5-2build1) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 20:41:58 +0000

lgogdownloader (3.5-2) unstable; urgency=medium

  * Only build with Qt on architectures with Qt5WebEngineWidgets.
  * Link with libatomic; this should fix the build on architectures such
    as mipsel which need explicit -latomic.

 -- Stephen Kitt <skitt@debian.org>  Tue, 16 Jul 2019 13:56:08 +0200

lgogdownloader (3.5-1) unstable; urgency=medium

  * New upstream release, with a graphical login interface.
  * Switch to debhelper compatibility level 12.
  * Standards-Version 4.4.0, no change required.
  * Only link libraries which are directly required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 15 Jul 2019 21:24:05 +0200

lgogdownloader (3.4-2) unstable; urgency=medium

  * Ensure the build is reproducible: avoid storing git information, and
    the build architecture.
  * Refresh manpage-whatis.patch.

 -- Stephen Kitt <skitt@debian.org>  Tue, 18 Dec 2018 09:20:55 +0100
