=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: lgogdownloader
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Stephen Kitt <skitt@debian.org>
 Section: web
 Priority: optional
 Build-Depends: cmake,
-               debhelper (>= 11~),
+               debhelper-compat (= 12),
                help2man,
                libboost-date-time-dev,
                libboost-filesystem-dev,
@@ -19,8 +20,9 @@
                libssl-dev,
                libtinyxml2-dev,
                pkg-config,
+               qtwebengine5-dev [amd64 arm64 armhf i386 mipsel],
                zlib1g-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/games-team/lgogdownloader
 Vcs-Git: https://salsa.debian.org/games-team/lgogdownloader.git
