## lgogdownloader 3.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,12 @@
 cmake_minimum_required(VERSION 3.0.0 FATAL_ERROR)
-project (lgogdownloader LANGUAGES C CXX VERSION 3.5)
+project (lgogdownloader LANGUAGES C CXX VERSION 3.7)
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/")
 set(LINK_LIBCRYPTO 0)
+
+# Disable search for boost-cmake
+# Fixes building with Boost >= 1.70.0
+set(Boost_NO_BOOST_CMAKE ON)
 
 option(USE_QT_GUI "Build with Qt GUI login support" OFF)
 if(USE_QT_GUI)
@@ -36,7 +40,6 @@
   endif(READELF_RESULT_VAR EQUAL 0)
 endif(CURL_FOUND)
 
-find_package(OAuth REQUIRED)
 find_package(Jsoncpp REQUIRED)
 find_package(Htmlcxx REQUIRED)
 find_package(Tinyxml2 REQUIRED)
@@ -46,7 +49,6 @@
 
 file(GLOB SRC_FILES
   main.cpp
-  src/api.cpp
   src/website.cpp
   src/downloader.cpp
   src/progressbar.cpp
@@ -139,6 +141,19 @@
   PRIVATE ${ZLIB_LIBRARIES}
   )
 
+# Check if libatomic is needed in order to use std::atomic, and add
+# it to the list of JavaScriptCore libraries.
+file(WRITE ${CMAKE_BINARY_DIR}/test_atomic.cpp
+     "#include <atomic>\n"
+     "int main() { std::atomic<int64_t> i(0); i++; return 0; }\n")
+try_compile(ATOMIC_BUILD_SUCCEEDED ${CMAKE_BINARY_DIR} ${CMAKE_BINARY_DIR}/test_atomic.cpp)
+if (NOT ATOMIC_BUILD_SUCCEEDED)
+  target_link_libraries(${PROJECT_NAME}
+    PRIVATE -latomic
+  )
+endif ()
+file(REMOVE ${CMAKE_BINARY_DIR}/test_atomic.cpp)
+
 if(LINK_LIBCRYPTO EQUAL 1)
   target_link_libraries(${PROJECT_NAME}
     PRIVATE ${Libcrypto_LIBRARIES}
