=== debian/changelog ===
lgogdownloader (3.7-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Stephen Kitt <skitt@debian.org>  Tue, 01 Sep 2020 13:38:57 +0200

lgogdownloader (3.7-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Fri, 10 Apr 2020 22:03:33 +0200

lgogdownloader (3.6-1) unstable; urgency=medium

  * New upstream release. libatomic is handled upstream, removing the need
    for add-libatomic.patch.
  * Standards-Version 4.5.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 16 Mar 2020 23:08:22 +0100
