=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: lgogdownloader
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Stephen Kitt <skitt@debian.org>
 Section: web
 Priority: optional
@@ -13,16 +12,16 @@
                libboost-program-options-dev,
                libboost-regex-dev,
                libboost-system-dev,
+               libcurl4-gnutls-dev,
                libhtmlcxx-dev,
                libjsoncpp-dev (>= 1.7.1),
-               liboauth-dev,
                librhash-dev,
                libssl-dev,
                libtinyxml2-dev,
                pkg-config,
                qtwebengine5-dev [amd64 arm64 armhf i386 mipsel],
                zlib1g-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/games-team/lgogdownloader
 Vcs-Git: https://salsa.debian.org/games-team/lgogdownloader.git
