## lgogdownloader 3.8

=== debian/changelog ===
lgogdownloader (3.8-1build2) jammy; urgency=medium

  * No-change rebuild against libjsoncpp25

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 14 Dec 2021 07:48:20 +0000

lgogdownloader (3.8-1build1) jammy; urgency=medium

  * No-change rebuild against libtinyxml2-9

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Nov 2021 17:34:56 +0000

lgogdownloader (3.8-1) unstable; urgency=medium

  * New upstream release.
  * Drop the explicit --as-needed, it’s now implied.
  * Switch to debhelper compatibility level 13.
  * Standards-Version 4.6.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 03 Sep 2021 18:24:23 +0200
