=== debian/changelog ===
lgogdownloader (3.9-2+rpi1+deb12u1) bookworm-staging; urgency=medium

  [changes brought forward from 3.5-2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sun, 21 Jul 2019 15:53:07 +0000]
  * Remove armhf from qtwebengine dependency.

 -- Raspbian forward porter <root@raspbian.org>  Wed, 13 Nov 2024 01:16:31 +0000

lgogdownloader (3.9-2+deb12u1) bookworm; urgency=medium

  * Apply upstream fixes for parsing Galaxy URLs. Closes: #1085527.

 -- Stephen Kitt <skitt@debian.org>  Sun, 20 Oct 2024 21:39:20 +0200

lgogdownloader (3.9-2) unstable; urgency=medium

  * qtwebengine5-dev is now available on mips64el, use it there. Thanks
    to Adrian Bunk for the patch!
  * Standards-Version 4.6.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 27 Feb 2023 08:42:04 +0100

lgogdownloader (3.9-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Wed, 23 Feb 2022 14:11:23 +0100
