=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: lgogdownloader
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Stephen Kitt <skitt@debian.org>
 Section: web
 Priority: optional
@@ -17,12 +16,12 @@
                libhtmlcxx-dev,
                libjsoncpp-dev (>= 1.7.1),
                librhash-dev,
-               libssl-dev,
                libtinyxml2-dev,
+               ninja-build,
                pkg-config,
-               qtwebengine5-dev [amd64 arm64 armhf i386 mipsel],
+               qtwebengine5-dev [amd64 arm64 i386 mips64el mipsel],
                zlib1g-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/games-team/lgogdownloader
 Vcs-Git: https://salsa.debian.org/games-team/lgogdownloader.git
