=== debian/changelog ===
lgogdownloader (3.11-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Don't use qtwebengine5-dev on mipsel, package to be removed.
    Closes: #1041918.

 -- Stephen Kitt <skitt@debian.org>  Tue, 25 Jul 2023 11:38:00 +0200

lgogdownloader (3.11-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 12 Jun 2023 06:13:05 +0200
